GNU bug report logs - #26305
25.0.90; backward-sexp doesn't jump over the whole assignment

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: <lispercat@HIDDEN>; merged with #26304; dated Wed, 29 Mar 2017 21:33:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 26304 26305. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Mar 2017 21:32:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 29 17:32:14 2017
Received: from localhost ([127.0.0.1]:51696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ctLCQ-0005xU-3a
	for submit <at> debbugs.gnu.org; Wed, 29 Mar 2017 17:32:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lispercat@HIDDEN>) id 1ctKIk-0004bn-3V
 for submit <at> debbugs.gnu.org; Wed, 29 Mar 2017 16:34:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lispercat@HIDDEN>) id 1ctKId-0008CS-Ls
 for submit <at> debbugs.gnu.org; Wed, 29 Mar 2017 16:34:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45543)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <lispercat@HIDDEN>) id 1ctKId-0008CN-IZ
 for submit <at> debbugs.gnu.org; Wed, 29 Mar 2017 16:34:35 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59231)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lispercat@HIDDEN>) id 1ctKIb-0005WG-V4
 for bug-gnu-emacs@HIDDEN; Wed, 29 Mar 2017 16:34:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lispercat@HIDDEN>) id 1ctKIY-0008As-LK
 for bug-gnu-emacs@HIDDEN; Wed, 29 Mar 2017 16:34:33 -0400
Received: from smtp.otpp.com ([65.110.174.168]:46154 helo=ws-esg-q9.otpp.com)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <lispercat@HIDDEN>) id 1ctKIY-0008Am-Fi
 for bug-gnu-emacs@HIDDEN; Wed, 29 Mar 2017 16:34:30 -0400
Received: from EXCHPRODAPP2.otpp.com (unknown [10.250.50.10])
 by Forcepoint Email with ESMTPS id 314A679426483
 for <bug-gnu-emacs@HIDDEN>; Wed, 29 Mar 2017 16:34:27 -0400 (EDT)
Received: from exchprodapp1.otpp.com (172.20.81.39) by EXCHPRODAPP2.otpp.com
 (172.20.81.40) with Microsoft SMTP Server (TLS) id 15.0.1210.3; Wed, 29 Mar
 2017 16:34:29 -0400
Received: from PC5650 (172.20.81.213) by exchprodapp1.otpp.com (172.20.81.39)
 with Microsoft SMTP Server id 15.0.1210.3 via Frontend Transport;
 Wed, 29 Mar 2017 16:34:29 -0400
From: <lispercat@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 25.0.90; backward-sexp doesn't jump over the whole assignment
Date: Wed, 29 Mar 2017 16:34:28 -0400
Message-ID: <q4k8tnnq0tn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset="gb2312"
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 29 Mar 2017 17:32:12 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


When trying to evaluate following line:
arr =3D Array.new(100) { rand(1...100) }

usng ruby-send-last-sexp (C-x C-e) gives an error.
Probably the whole line or just "Array.new(100) { rand(1...100) }"
should be considered as last sexp.






In GNU Emacs 25.0.90.3 (x86_64-w64-mingw32)
 of 2016-02-03 built on KAEL
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --prefix=3D/tmp/emacs --without-imagemagick 'CFLAGS=3D-O2 -g0
 -fomit-frame-pointer''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1252

Major mode: Ruby

Minor modes in effect:
  inf-ruby-minor-mode: t
  delete-selection-mode: t
  cua-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Making completion list...
C-M-x is undefined [2 times]
Mark set
C-M-x is undefined
Making completion list...
Mark set
You can run the command =A1=AEruby-send-region=A1=AF with C-c C-r
C-x C-e runs the command ruby-send-last-sexp
smie-forward-sexp-command: Scan error: "Containing expression ends prematur=
ely", 840, 840
Mark set
C-x C-e runs the command ruby-send-last-sexp

Load-path shadows:
~/.emacs.d/elpa/nodejs-repl.el/nodejs-repl hides ~/.emacs.d/elpa/nodejs-rep=
l
~/.emacs.d/elpa/inf-ruby/inf-ruby hides c:/GNU/.emacs.d/elpa/inf-ruby-2.3.2=
/inf-ruby

Features:
(shadow mail-extr emacsbug message rfc822 mml mml-sec epg mailabbrev
gmm-utils mailheader sendmail mail-utils org-element org-rmail org-mhe
org-irc org-info org-gnus org-docview doc-view jka-compr image-mode
org-bibtex bibtex org-bbdb org-w3m org org-macro org-footnote
org-pcomplete pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-src ob-keys ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs format-spec find-func cal-menu calendar cal-loaddefs
inf-ruby easy-mmode thingatpt ruby-mode smie compile nodejs-repl derived
comint ansi-color ring cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs soap-client mm-decode
mm-bodies mm-encode url-http tls gnutls url-auth mail-parse rfc2231
rfc2047 rfc2045 ietf-drums url-gw url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util url-parse
auth-source eieio eieio-core gnus-util mm-util help-fns mail-prsvr
password-cache url-vars mailcap warnings rng-xsd rng-dt rng-util
xsd-regexp xml sort dired bm edmacro kmacro cl-seq cl-macs info ido seq
byte-opt gv bytecomp byte-compile cconv cl-extra help-mode imenu advice
cl-loaddefs pcase cl-lib tango-dark-theme delsel cua-base cus-start
cus-load finder-inf package easymenu epg-config time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp disp-table w32-win w32-vars term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote w32notify dbusbind w32
multi-tty make-network-process emacs)

Memory information:
((conses 16 246711 10435)
 (symbols 56 35452 1)
 (miscs 48 152 333)
 (strings 32 63867 9262)
 (string-bytes 1 2009741)
 (vectors 16 28842)
 (vector-slots 8 604424 6040)
 (floats 8 345 154)
 (intervals 56 2864 0)
 (buffers 976 18))
CONFIDENTIALITY WARNING This e-mail message, including any attachment(s), i=
s confidential. If we sent this communication to you in error, please do no=
t disclose it to anyone else or use the information in it. Please notify th=
e sender of the transmission error and then delete our communication from y=
our system without printing, copying or forwarding it. Thank you for your c=
o-operation. AVERTISSEMENT CONCERNANT LE CARACTERE CONFIDENTIEL DE L'INFORM=
ATION Le present courriel, y compris toute piece qui y est jointe, est conf=
identiel. Si nous vous avons envoye cette communication par erreur, nous vo=
us prions de ne la divulguer a personne ni a utiliser l=A1=AFinformation qu=
=A1=AFelle contient. Veuillez informer l=A1=AFexpediteur de l=A1=AFerreur d=
e transmission et effacer ensuite notre communication de votre systeme sans=
 l=A1=AFimprimer, ni la copier ni la retransmettre. Nous vous remercions de=
 votre cooperation.




Acknowledgement sent to <lispercat@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26305; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 29 Mar 2017 23:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.